/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * James A. Overton <james@overton.ca>
 * Andreas Schamberger <mozile@andreass.net>
 * Paul Everitt
 *
 * ***** END LICENSE BLOCK ***** */

function init(event)
{
	if (event.target != document)
		return;
	reset(event);
}

function reset(event) 
{
	var mozileDebugArray = opener.mozileDebugArray;
	var vbox = document.getElementById("bugs");
	mozileRemoveChildren(vbox);
	for(var i=0; i < mozileDebugArray.length; i++) {
		var bug = mozileDebugArray[i];

		var hbox = document.createElement("hbox");
		hbox.setAttribute("class", "level"+bug[2]);
		
		var datestamp = document.createElement("description");
		datestamp.setAttribute("class","datestamp");
		datestamp.setAttribute("value",bug[0]);
		hbox.appendChild(datestamp);
		
		var functions = document.createElement("description");
		functions.setAttribute("class","functions");
		functions.setAttribute("value", "["+ bug[1] +"]");
		hbox.appendChild(functions);
		
		var message = document.createElement("description");
		message.setAttribute("class","message");
		message.setAttribute("value",bug[3]);
		hbox.appendChild(message);
		
		vbox.appendChild(hbox);
	}
	document.getElementById('filterText').value = "";
	document.getElementById('filterLevel').selectedIndex=3;
}

function clear(event) {
	opener.mozileDebugArray = new Array();
	reset(event);
}

function filter() {
	//alert("Filtering Level: "+node.value);	
	
	var selected = document.getElementById('filterLevel').value;		// get the value of the Filter Level menu
	var text = document.getElementById('filterText').value;		// get the Filter Text
	var mozileDebugArray = opener.mozileDebugArray;
	var vbox = document.getElementById("bugs");
	mozileRemoveChildren(vbox);
	for(var i=0; i < mozileDebugArray.length; i++) {
		var bug = mozileDebugArray[i];

		if(selected <= bug[2]) continue;			// if the selected level is lower, ignore this entry
			// search each of the field, and keep a total
		var search = bug[0].search(text) + bug[1][0].search(text) + bug[1][1].search(text) + bug[3].search(text);
			// if all the results were "-1", then skip this entry
		if( search == -4 ) continue;

			// Build the entry
		var hbox = document.createElement("hbox");
		hbox.setAttribute("class", "level"+bug[2]);
		
		var datestamp = document.createElement("description");
		datestamp.setAttribute("class","datestamp");
		datestamp.setAttribute("value",bug[0]);
		hbox.appendChild(datestamp);
		
		var functions = document.createElement("description");
		functions.setAttribute("class","functions");
		functions.setAttribute("value", "["+ bug[1] +"]");
		hbox.appendChild(functions);
		
		var message = document.createElement("description");
		message.setAttribute("class","message");
		message.setAttribute("value",bug[3]);
		hbox.appendChild(message);
		
		vbox.appendChild(hbox);
	}

}

function mozileRemoveChildren(node) {	
	while (node.hasChildNodes()) {
		node.removeChild(node.lastChild);
	}
	return node;
}

